.oneimg{transform: scale(1);transition: all linear 0.25s;}
.oneimg:hover{transform: scale(1.25);transition: all linear 0.25s;}
p a{color: #00f !important;}
#loom-companion-mv3{display:none !important}
.footer-info a{color:#ffbf00 !important}
.mt-5 {

    margin: 0 auto 1em !important;
}
.img-fluid {}
.fluidhero{    width: 100% !important;
    max-width: -webkit-fill-available;}

body{    font-family: 'Play',sans-serif;
    color: #222;
    font-size: 1.25em;}
a{color:#ffbf00;text-decoration:none}
a:hover{color:#ffd584;text-decoration:none}
h1,h2,h3,h4,h5,h6{font-family:'Play',sans-serif}
.back-to-top{position:fixed;visibility:hidden;opacity:0;right:15px;bottom:15px;z-index:996;background:#ff7600;width:40px;height:40px;border-radius:4px;transition:all .4s}
.back-to-top i{font-size:28px;color:#151515;line-height:0}
.back-to-top:hover{background:#151515}
.back-to-top:hover i{color:#ffbf00}
.back-to-top.active{visibility:visible;opacity:1}
#preloader{position:fixed;top:0;left:0;right:0;bottom:0;z-index:9999;overflow:hidden;background:#151515}
#preloader:before{content:"";position:fixed;top:calc(50% - 0px);left:calc(50% - 30px);border:6px solid #ffbf00;border-top-color:#151515;border-bottom-color:#151515;border-radius:50%;width:60px;height:60px;animation:animate-preloader 1s linear infinite}
@keyframes animate-preloader {
0%{transform:rotate(0deg)}
100%{transform:rotate(360deg)}
}
@media screen and (max-width: 768px) {
[data-aos-delay]{transition-delay:0!important}
}
#header{transition:all .5s;z-index:997;padding:15px 0;background: #fff;}
#header.header-scrolled,#header.header-inner-pages{background:#fff}
#header .logo{font-size:32px;margin:0;padding:0;line-height:1;font-weight:700;letter-spacing:2px;text-transform:uppercase}
#header .logo a{color:#fff}
#header .logo a span{color:#ffbf00}
#header .logo img{max-height:4em}
.get-started-btn{color: #f9dc00;
    border-radius: 4px;
    background: #222222;
    padding: 7px 25px 8px;
    white-space: nowrap;
    transition: .3s;
    display: inline-block;}
@media (max-width: 992px) {
.get-started-btn{padding:7px 20px 8px;margin-right:15px}
}
.navbar{padding:0}
.navbar ul{margin:0;padding:0;display:flex;list-style:none;align-items:center}
.navbar li{position:relative}
.navbar a,.navbar a:focus{display:flex;align-items:center;justify-content:space-between;padding:10px 0 10px 30px;font-size:15px;font-weight:600;color:#000000;white-space:nowrap;transition:.3s}
.navbar a i,.navbar a:focus i{font-size:12px;line-height:0;margin-left:5px}
.navbar a:hover,.navbar .active,.navbar .active:focus,.navbar li:hover>a{color:#009}
.navbar .dropdown ul{display:block;position:absolute;left:14px;top:calc(100% + 30px);margin:0;padding:10px 0;z-index:99;opacity:0;visibility:hidden;background:#fff;box-shadow:0 0 30px rgba(127,137,161,0.25);transition:.3s}
.navbar .dropdown ul li{min-width:200px}
.navbar .dropdown ul a{padding:10px 20px;;text-transform:none;color:#151515;font-weight:400}
.navbar .dropdown ul a i{font-size:12px}
.navbar .dropdown ul a:hover,.navbar .dropdown ul .active:hover,.navbar .dropdown ul li:hover>a{background-color:#ffbf00}
.navbar .dropdown:hover>ul{opacity:1;top:100%;visibility:visible}
.navbar .dropdown .dropdown ul{top:0;left:calc(100% - 30px);visibility:hidden}
.navbar .dropdown .dropdown:hover>ul{opacity:1;top:0;left:100%;visibility:visible}
@media (max-width: 1366px) {
.navbar .dropdown .dropdown ul{left:-90%}
.navbar .dropdown .dropdown:hover>ul{left:-100%}
}
.mobile-nav-toggle{color:#fff;font-size:28px;cursor:pointer;display:none;line-height:0;transition:.5s}
@media (max-width: 991px) {
.mobile-nav-toggle{display:block}
.navbar ul{display:none}
}
.navbar-mobile{position:fixed;overflow:hidden;top:0;right:0;left:0;bottom:0;background:rgba(0,0,0,0.9);transition:.3s;z-index:999}
.navbar-mobile .mobile-nav-toggle{position:absolute;top:15px;right:15px}
.navbar-mobile ul{display:block;position:absolute;top:55px;right:15px;bottom:15px;left:15px;padding:10px 0;background-color:#fff;overflow-y:auto;transition:.3s}
.navbar-mobile a,.navbar-mobile a:focus{padding:10px 20px;font-size:15px;color:#151515}
.navbar-mobile a:hover,.navbar-mobile .active,.navbar-mobile li:hover>a{color:#151515;background-color:#ffbf00}
.navbar-mobile .getstarted,.navbar-mobile .getstarted:focus{margin:15px}
.navbar-mobile .dropdown ul{position:static;display:none;margin:10px 20px;padding:10px 0;z-index:99;opacity:1;visibility:visible;background:#fff;box-shadow:0 0 30px rgba(127,137,161,0.25)}
.navbar-mobile .dropdown ul li{min-width:200px}
.navbar-mobile .dropdown ul a{padding:10px 20px;color:#151515}
.navbar-mobile .dropdown ul a i{font-size:12px}
.navbar-mobile .dropdown ul a:hover,.navbar-mobile .dropdown ul .active:hover,.navbar-mobile .dropdown ul li:hover>a{background-color:#ffbf00}
.navbar-mobile .dropdown>.dropdown-active{display:block}
#hero{width:100%;height:100vh;background:url(../../img/newbg2.jpg) top center;background-size:cover;position:relative}
#hero:before{content:"";background:rgba(0,0,0,0.5);position:absolute;bottom:0;top:0;left:0;right:0}
#hero .container{    position: relative;
    padding-top: 74px;
    text-align: center;
    background: rgba(0,0,0,0.6);}
#hero h1{margin: 0;
    font-size: 3em;
    line-height: 1em;
    color: #fff;
    font-family: 'Play', sans-serif;    font-weight: bolder;}
#hero h1 span{    color: #ffbf00;
    font-size: 2.25rem;}
#hero h2{color:rgba(255,255,255,0.9);margin:10px 0 0;font-size:24px}
#hero .icon-box{padding:30px 20px;transition:ease-in-out .3s;border:1px solid rgba(255,255,255,0.3);height:100%;text-align:center}
#hero .icon-box i{font-size:32px;line-height:1;color:#ffbf00}
#hero .icon-box h3{font-weight:700;margin:10px 0 0;padding:0;line-height:1;font-size:20px;line-height:26px}
#hero .icon-box h3 a{color:#fff;transition:ease-in-out .3s}
#hero .icon-box h3 a:hover{color:#ffbf00}
#hero .icon-box:hover{border-color:#ffbf00}
@media (min-width: 1024px) {
#hero{background-attachment:fixed}
}
@media (max-width: 768px) {
#header .logo {font-size: 0.75em;}
.get-started-btn {
    color: #ffbf00 !important;
    border-radius: 0;
    padding: 0 0.15em !important;
    white-space: nowrap;
    transition: .3s;
    display: inline-block;
    border: 0;
    background: transparent !important;
    font-size: 0.75em;
}
.section-title p {
    font-size: 1em;
}
.h2, h2 {
    font-size: 1em;
}
.counts .content h3 {
    font-weight: 700;
    font-size: 1em;
    color: #151515;
}
#hero .container {
    background: rgba(0,0,0,0.2);
}
#hero{height:auto}
#hero h1{font-size:28px;line-height:36px}
#hero h2{font-size:20px;line-height:24px}
}
section{padding:60px 0;overflow:hidden}
.section-title{padding-bottom:40px}
.section-title h2{;font-weight:500;padding:0;line-height:1px;margin:0 0 5px;letter-spacing:2px;text-transform:uppercase;color:#aaa;}
.section-title h2::after{content:"";width:120px;height:1px;display:inline-block;background:#ffde9e;margin:4px 10px}
.section-title p{margin:0;margin:0;font-size:36px;font-weight:700;text-transform:uppercase;;color:#151515}
.about .content h3{font-weight:700;font-size:28px;}
.about .content ul{list-style:none;padding:0}
.about .content ul li{padding:0 0 8px 26px;position:relative}
.about .content ul i{position:absolute;font-size:20px;left:0;top:-3px;color:#00f}
.about .content p:last-child{margin-bottom:0}
.clients{padding-top:20px}
.clients .swiper-slide img{opacity:.7;transition:.3s;transition: all linear 0.2s;}
.clients .swiper-slide img:hover{
        transform: scale(1.15);
    transition: all linear 0.15s;
}
.clients .swiper-slide img:hover{filter:none;opacity:1}
.clients .swiper-pagination{margin-top:20px;position:relative}
.clients .swiper-pagination .swiper-pagination-bullet{width:12px;height:12px;background-color:#fff;opacity:1;background-color:#ddd}
.clients .swiper-pagination .swiper-pagination-bullet-active{background-color:#ff7600}
.features{padding-top:20px}
.features .icon-box{padding-left:15px}
.features .icon-box h4{font-size:20px;font-weight:700;margin:5px 0 10px 60px}
.features .icon-box i{font-size:48px;float:left;color:#ff7600}
.features .icon-box p{font-size:15px;color:#848484;margin-left:60px}
.features .image{background-position:center center;background-repeat:no-repeat;background-size:cover;min-height:400px}
.services .icon-box{    text-align: center;
    border: 1px solid #ebebeb;
    padding: 1em;
    transition: all ease-in-out .3s;
    background: #fff;}
.services .icon-box .icon{    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 1em;
    transition: .3s;}
.services .icon-box .icon i{color:#131274;font-size:2.5em;transition:ease-in-out .3s}
.services .icon-box h4{font-weight:700;margin-bottom:15px;font-size:24px}
.services .icon-box h4 a{color:#151515;transition:ease-in-out .3s}
.services .icon-box h4 a:hover{color:#ffbf00}
.services .icon-box p{line-height:24px;;margin-bottom:0}
.services .icon-box:hover{border-color:#fff;box-shadow:0 0 25px 0 rgba(0,0,0,0.1);transform:translateY(-10px)}
.cta{    background: linear-gradient(rgba(2,2,2,0.5),rgba(0,0,0,0.5)),url(../../img/newbg2.jpg) fixed top center;
    background-size: cover;
    padding: 4em 0;}
.cta h3{color:#fff;font-size:28px;font-weight:700}
.cta p{color:#fff}
.cta .cta-btn{font-family:'Play',sans-serif;font-weight:600;font-size:16px;letter-spacing:1px;display:inline-block;padding:8px 28px;border-radius:4px;transition:.5s;margin-top:10px;border:2px solid #fff;color:#fff}
.cta .cta-btn:hover{background:#ffbf00;border-color:#ffbf00;color:#151515}
.portfolio .portfolio-item{margin-bottom:30px}
.portfolio #portfolio-flters{padding:0;margin:0 auto 20px;list-style:none;text-align:center}
.portfolio #portfolio-flters li{cursor:pointer;display:inline-block;padding:8px 15px 10px;;font-weight:600;line-height:1;text-transform:uppercase;color:#444;margin-bottom:5px;transition:all .3s ease-in-out;border-radius:3px}
.portfolio #portfolio-flters li:hover,.portfolio #portfolio-flters li.filter-active{color:#151515;background:#ffbf00}
.portfolio #portfolio-flters li:last-child{margin-right:0}
.portfolio .portfolio-wrap{transition:.3s;position:relative;overflow:hidden;z-index:1;background:rgba(21,21,21,0.6)}
.portfolio .portfolio-wrap::before{content:"";background:rgba(21,21,21,0.6);position:absolute;left:0;right:0;top:0;bottom:0;transition:all ease-in-out .3s;z-index:2;opacity:0}
.portfolio .portfolio-wrap img{transition:all ease-in-out .3s}
.portfolio .portfolio-wrap .portfolio-info{opacity:0;position:absolute;top:0;left:0;right:0;bottom:0;z-index:3;transition:all ease-in-out .3s;display:flex;flex-direction:column;justify-content:flex-end;align-items:flex-start;padding:20px}
.portfolio .portfolio-wrap .portfolio-info h4{font-size:20px;color:#fff;font-weight:600}
.portfolio .portfolio-wrap .portfolio-info p{color:rgba(255,255,255,0.7);;text-transform:uppercase;padding:0;margin:0;font-style:italic}
.portfolio .portfolio-wrap .portfolio-links{text-align:center;z-index:4}
.portfolio .portfolio-wrap .portfolio-links a{color:#fff;margin:0 5px 0 0;font-size:28px;display:inline-block;transition:.3s}
.portfolio .portfolio-wrap .portfolio-links a:hover{color:#ffbf00}
.portfolio .portfolio-wrap:hover::before{opacity:1}
.portfolio .portfolio-wrap:hover img{transform:scale(1.2)}
.portfolio .portfolio-wrap:hover .portfolio-info{opacity:1}
.portfolio-details{padding-top:40px}
.portfolio-details .portfolio-details-slider img{width:100%}
.portfolio-details .portfolio-details-slider .swiper-pagination{margin-top:20px;position:relative}
.portfolio-details .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet{width:12px;height:12px;background-color:#fff;opacity:1;border:1px solid #ffbf00}
.portfolio-details .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet-active{background-color:#ffbf00}
.portfolio-details .portfolio-info{padding:30px;box-shadow:0 0 30px rgba(21,21,21,0.08)}
.portfolio-details .portfolio-info h3{font-size:22px;font-weight:700;margin-bottom:20px;padding-bottom:20px;border-bottom:1px solid #eee}
.portfolio-details .portfolio-info ul{list-style:none;padding:0;font-size:15px}
.portfolio-details .portfolio-info ul li+li{margin-top:10px}
.portfolio-details .portfolio-description{padding-top:30px}
.portfolio-details .portfolio-description h2{font-size:26px;font-weight:700;margin-bottom:20px}
.portfolio-details .portfolio-description p{padding:0}
.counts .content{padding:30px 0}
.counts .content h3{font-weight:700;font-size:34px;color:#151515}
.counts .content p{margin-bottom:0}
.counts .content .count-box{padding:20px 0;width:100%}
.counts .content .count-box i{display:block;font-size:36px;color:#ff7600;float:left}
.counts .content .count-box span{font-size:36px;line-height:30px;display:block;font-weight:700;color:#151515;margin-left:50px}
.counts .content .count-box p{padding:15px 0 0;margin:0 0 0 50px;font-family:'Play',sans-serif;;color:#3b3b3b}
.counts .content .count-box a{font-weight:600;display:block;margin-top:20px;color:#3b3b3b;font-size:15px;;transition:ease-in-out .3s}
.counts .content .count-box a:hover{color:#626262}
.counts .image{background: url(../img/about.jpg) center center no-repeat;
    background-size: cover;
    min-height: 400px;}
@media (max-width: 991px) {
.counts .image{text-align:center}
.counts .image img{max-width:80%}
}
@media (max-width: 667px) {
.counts .image img{max-width:100%}
}
.testimonials{    padding: 80px 0;
    background: url(../../img/newbg2.jpg) no-repeat;
    background-position: top center;
    background-size: cover;
    position: relative;}
.testimonials::before{content:"";position:absolute;left:0;right:0;top:0;bottom:0;background:rgba(0,0,0,0.7)}
.testimonials .section-header{margin-bottom:40px}
.testimonials .testimonials-carousel,.testimonials .testimonials-slider{overflow:hidden}
.testimonials .testimonial-item{text-align:center;color:#fff}
.testimonials .testimonial-item .testimonial-img{width: 10%;
    border-radius: 50%;
    border: 0.25em solid #ffbf00;
    margin: 0 auto;}
.testimonials .testimonial-item h3{font-size:20px;font-weight:700;margin:10px 0 5px;color:#fff}
.testimonials .testimonial-item h4{;color:#ddd;margin:0 0 15px}
.testimonials .testimonial-item .quote-icon-left,.testimonials .testimonial-item .quote-icon-right{color:rgba(255,255,255,0.6);font-size:26px}
.testimonials .testimonial-item .quote-icon-left{display:inline-block;left:-5px;position:relative}
.testimonials .testimonial-item .quote-icon-right{display:inline-block;right:-5px;position:relative;top:10px}
.testimonials .testimonial-item p{font-style:italic;margin:0 auto 15px;color:#eee}
.testimonials .swiper-pagination{margin-top:20px;position:relative}
.testimonials .swiper-pagination .swiper-pagination-bullet{width:12px;height:12px;background-color:rgba(255,255,255,0.4);opacity:.5}
.testimonials .swiper-pagination .swiper-pagination-bullet-active{background-color:#ffbf00;opacity:1}
@media (min-width: 1024px) {
.testimonials{background-attachment:fixed}
}
@media (min-width: 992px) {
.testimonials .testimonial-item p{width:80%}
}
.team{background:#fff;padding:60px 0}
.team .member{margin-bottom:20px;overflow:hidden;border-radius:5px;background:#fff;box-shadow:0 2px 15px rgba(0,0,0,0.1)}
.team .member .member-img{position:relative;overflow:hidden}
.team .member .social{position:absolute;left:0;bottom:30px;right:0;opacity:0;transition:ease-in-out .3s;text-align:center}
.team .member .social a{    transition: color .3s;
    color: #151515;
    margin: 0 auto;
    background: #ffbf00;
    transition: ease-in-out .3s;
    display: block;
    padding: 0.25em 0;
    box-shadow: 0 0 1em #333;}
.team .member .social a:hover{color:#151515;background:#ffbf00}
.team .member .social i{font-size:18px;line-height:0}
.team .member .member-info{padding:25px 15px}
.team .member .member-info h4{font-weight:700;margin-bottom:5px;font-size:18px;color:#151515}
.team .member .member-info span{    display: block;
    font-weight: bolder;
    color: #e70000;}
.team .member .member-info p{font-style:italic;;line-height:26px;color:#777}
.team .member:hover .social{opacity:1;bottom:15px}
.contact .info{width:100%;background:#fff}
.contact .info i{font-size:20px;background:#ff7600;color:#151515;float:left;width:44px;height:44px;display:flex;justify-content:center;align-items:center;border-radius:4px;transition:all .3s ease-in-out}
.contact .info h4{padding:0 0 0 60px;font-size:22px;font-weight:600;margin-bottom:5px;color:#151515}
.contact .info p{padding:0 0 0 60px;margin-bottom:0;;color:#484848}
.contact .info .email,.contact .info .phone{margin-top:40px}
.contact .php-email-form{width:100%;background:#fff}
.contact .php-email-form .form-group{padding-bottom:8px}
.contact .php-email-form .error-message{display:none;color:#fff;background:#ed3c0d;text-align:left;padding:15px;font-weight:600}
.contact .php-email-form .error-message br+br{margin-top:25px}
.contact .php-email-form .sent-message{display:none;color:#fff;background:#18d26e;text-align:center;padding:15px;font-weight:600}
.contact .php-email-form .loading{display:none;background:#fff;text-align:center;padding:15px}
.contact .php-email-form .loading:before{content:"";display:inline-block;border-radius:50%;width:24px;height:24px;margin:0 10px -6px 0;border:3px solid #18d26e;border-top-color:#eee;animation:animate-loading 1s linear infinite}
.contact .php-email-form input,.contact .php-email-form textarea{border-radius:0;box-shadow:none;;border-radius:4px}
.contact .php-email-form input:focus,.contact .php-email-form textarea:focus{border-color:#ffbf00}
.contact .php-email-form input{height:44px}
.contact .php-email-form textarea{padding:10px 12px}
.contact .php-email-form button[type=submit]{background:#ff7600;border:0;padding:10px 24px;color:#151515;transition:.4s;border-radius:4px}
.contact .php-email-form button[type=submit]:hover{background:#ffcd6b}
@keyframes animate-loading {
0%{transform:rotate(0deg)}
100%{transform:rotate(360deg)}
}
.breadcrumbs{padding:15px 0;background:#f5f5f5;min-height:40px;margin-top:74px}
.breadcrumbs h2{font-size:28px;font-weight:400}
.breadcrumbs ol{display:flex;flex-wrap:wrap;list-style:none;padding:0;margin:0}
.breadcrumbs ol li+li{padding-left:10px}
.breadcrumbs ol li+li::before{display:inline-block;padding-right:10px;color:#2f2f2f;content:"/"}
@media (max-width: 992px) {
.breadcrumbs{margin-top:68px}
.breadcrumbs .d-flex{display:block!important}
.breadcrumbs ol{display:block}
.breadcrumbs ol li{display:inline-block}
}
#footer{background:#000;padding:0 0 30px;color:#fff;}
#footer .footer-top{background:#151515;border-bottom:1px solid #222;padding:60px 0 30px}
#footer .footer-top .footer-info{margin-bottom:30px}
#footer .footer-top .footer-info h3{font-size:28px;margin:0 0 20px;padding:2px 0;line-height:1;font-weight:700;text-transform:uppercase}
#footer .footer-top .footer-info h3 span{color:#ffbf00}
#footer .footer-top .footer-info p{line-height:24px;margin-bottom:0;font-family:'Play',sans-serif;color:#fff}
#footer .footer-top .social-links a{font-size:18px;display:inline-block;background:#292929;color:#fff;line-height:1;padding:8px 0;margin-right:4px;border-radius:4px;text-align:center;width:36px;height:36px;transition:.3s}
#footer .footer-top .social-links a:hover{background:#ffbf00;color:#151515;text-decoration:none}
#footer .footer-top h4{font-size:16px;font-weight:600;color:#fff;position:relative;padding-bottom:12px}
#footer .footer-top .footer-links{margin-bottom:30px}
#footer .footer-top .footer-links ul{list-style:none;padding:0;margin:0}
#footer .footer-top .footer-links ul i{padding-right:2px;color:#ffbf00;font-size:18px;line-height:1}
#footer .footer-top .footer-links ul li{padding:10px 0;display:flex;align-items:center}
#footer .footer-top .footer-links ul li:first-child{padding-top:0}
#footer .footer-top .footer-links ul a{color:#fff;transition:.3s;display:inline-block;line-height:1;    font-size: initial;}
#footer .footer-top .footer-links ul a:hover{color:#ffbf00}
#footer .footer-top .footer-newsletter form{margin-top:30px;background:#fff;padding:6px 10px;position:relative;border-radius:4px}
#footer .footer-top .footer-newsletter form input[type=email]{border:0;padding:4px;width:calc(100% - 110px)}
#footer .footer-top .footer-newsletter form input[type=submit]{position:absolute;top:0;right:-2px;bottom:0;border:0;background:none;font-size:16px;padding:0 20px;background:#ffbf00;color:#151515;transition:.3s;border-radius:0 4px 4px 0}
#footer .footer-top .footer-newsletter form input[type=submit]:hover{background:#ffcd6b}
#footer .copyright{text-align:center;padding-top:30px}
#footer .credits{padding-top:10px;text-align:center;font-size:13px;color:#fff}
.social span{}
.img-kukla{max-width: 100% !important}

/** BUTTONS **/

.frame {
  width: 90%;
  margin: 40px auto;
  text-align: center;
}
button {
  margin: 20px;
}
.custom-btn {
width: auto;
    font-weight: 500;
    transition: all 0.3s ease;
    position: relative;
    display: inline-block;
    outline: none;
    padding: 0.25em 1.5em !important;
}

/* 1 */
.btn-1 {
  background: rgb(6,14,131);
  background: linear-gradient(0deg, rgba(6,14,131,1) 0%, rgba(12,25,180,1) 100%);
  border: none;
}
.btn-1:hover {
   background: rgb(0,3,255);
background: linear-gradient(0deg, rgba(0,3,255,1) 0%, rgba(2,126,251,1) 100%);
}

/* 2 */
.btn-2 {
  background: rgb(96,9,240);
  background: linear-gradient(0deg, rgba(96,9,240,1) 0%, rgba(129,5,240,1) 100%);
  border: none;
  
}
.btn-2:before {
  height: 0%;
  width: 2px;
}
.btn-2:hover {
  box-shadow:  4px 4px 6px 0 rgba(255,255,255,.5),
              -4px -4px 6px 0 rgba(116, 125, 136, .5), 
    inset -4px -4px 6px 0 rgba(255,255,255,.2),
    inset 4px 4px 6px 0 rgba(0, 0, 0, .4);
}


/* 3 */
.btn-3 {
  background: rgb(0,172,238);
background: linear-gradient(0deg, rgba(0,172,238,1) 0%, rgba(2,126,251,1) 100%);
  width: 130px;
  height: 40px;
  line-height: 42px;
  padding: 0;
  border: none;
  
}
.btn-3 span {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
}
.btn-3:before,
.btn-3:after {
  position: absolute;
  content: "";
  right: 0;
  top: 0;
   background: rgba(2,126,251,1);
  transition: all 0.3s ease;
}
.btn-3:before {
  height: 0%;
  width: 2px;
}
.btn-3:after {
  width: 0%;
  height: 2px;
}
.btn-3:hover{
   background: transparent;
  box-shadow: none;
}
.btn-3:hover:before {
  height: 100%;
}
.btn-3:hover:after {
  width: 100%;
}
.btn-3 span:hover{
   color: rgba(2,126,251,1);
}
.btn-3 span:before,
.btn-3 span:after {
  position: absolute;
  content: "";
  left: 0;
  bottom: 0;
   background: rgba(2,126,251,1);
  transition: all 0.3s ease;
}
.btn-3 span:before {
  width: 2px;
  height: 0%;
}
.btn-3 span:after {
  width: 0%;
  height: 2px;
}
.btn-3 span:hover:before {
  height: 100%;
}
.btn-3 span:hover:after {
  width: 100%;
}

/* 4 */
.btn-4 {
  background-color: #4dccc6;
background-image: linear-gradient(315deg, #4dccc6 0%, #96e4df 74%);
  line-height: 42px;
  padding: 0;
  border: none;
}
.btn-4:hover{
  background-color: #89d8d3;
background-image: linear-gradient(315deg, #89d8d3 0%, #03c8a8 74%);
}
.btn-4 span {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
}
.btn-4:before,
.btn-4:after {
  position: absolute;
  content: "";
  right: 0;
  top: 0;
   box-shadow:  4px 4px 6px 0 rgba(255,255,255,.9),
              -4px -4px 6px 0 rgba(116, 125, 136, .2), 
    inset -4px -4px 6px 0 rgba(255,255,255,.9),
    inset 4px 4px 6px 0 rgba(116, 125, 136, .3);
  transition: all 0.3s ease;
}
.btn-4:before {
  height: 0%;
  width: .1px;
}
.btn-4:after {
  width: 0%;
  height: .1px;
}
.btn-4:hover:before {
  height: 100%;
}
.btn-4:hover:after {
  width: 100%;
}
.btn-4 span:before,
.btn-4 span:after {
  position: absolute;
  content: "";
  left: 0;
  bottom: 0;
  box-shadow:  4px 4px 6px 0 rgba(255,255,255,.9),
              -4px -4px 6px 0 rgba(116, 125, 136, .2), 
    inset -4px -4px 6px 0 rgba(255,255,255,.9),
    inset 4px 4px 6px 0 rgba(116, 125, 136, .3);
  transition: all 0.3s ease;
}
.btn-4 span:before {
  width: .1px;
  height: 0%;
}
.btn-4 span:after {
  width: 0%;
  height: .1px;
}
.btn-4 span:hover:before {
  height: 100%;
}
.btn-4 span:hover:after {
  width: 100%;
}

/* 5 */
.btn-5 {
    padding: 0;
    border: none;
    background: rgb(253 197 70);
    color: #000;
}
.btn-5:hover {
  color: #e5fd46;
  background: transparent;
   box-shadow:none;
}
.btn-5:before,
.btn-5:after{
  content:'';
  position:absolute;
  top:0;
  right:0;
  height:2px;
  width:0;
  background: #e5fd46;
  transition:400ms ease all;
}
.btn-5:after{
  right:inherit;
  top:inherit;
  left:0;
  bottom:0;
}
.btn-5:hover:before,
.btn-5:hover:after{
  width:100%;
  transition:800ms ease all;
}


/* 6 */
.btn-6 {
  background: rgb(247,150,192);
background: radial-gradient(circle, rgba(247,150,192,1) 0%, rgba(118,174,241,1) 100%);
  line-height: 42px;
  padding: 0;
  border: none;
}
.btn-6 span {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
}
.btn-6:before,
.btn-6:after {
  position: absolute;
  content: "";
  height: 0%;
  width: 1px;
 box-shadow:
   -1px -1px 20px 0px rgba(255,255,255,1),
   -4px -4px 5px 0px rgba(255,255,255,1),
   7px 7px 20px 0px rgba(0,0,0,.4),
   4px 4px 5px 0px rgba(0,0,0,.3);
}
.btn-6:before {
  right: 0;
  top: 0;
  transition: all 500ms ease;
}
.btn-6:after {
  left: 0;
  bottom: 0;
  transition: all 500ms ease;
}
.btn-6:hover{
  background: transparent;
  color: #76aef1;
  box-shadow: none;
}
.btn-6:hover:before {
  transition: all 500ms ease;
  height: 100%;
}
.btn-6:hover:after {
  transition: all 500ms ease;
  height: 100%;
}
.btn-6 span:before,
.btn-6 span:after {
  position: absolute;
  content: "";
  box-shadow:
   -1px -1px 20px 0px rgba(255,255,255,1),
   -4px -4px 5px 0px rgba(255,255,255,1),
   7px 7px 20px 0px rgba(0,0,0,.4),
   4px 4px 5px 0px rgba(0,0,0,.3);
}
.btn-6 span:before {
  left: 0;
  top: 0;
  width: 0%;
  height: .5px;
  transition: all 500ms ease;
}
.btn-6 span:after {
  right: 0;
  bottom: 0;
  width: 0%;
  height: .5px;
  transition: all 500ms ease;
}
.btn-6 span:hover:before {
  width: 100%;
}
.btn-6 span:hover:after {
  width: 100%;
}

/* 7 */
.btn-7 {
background: linear-gradient(0deg, rgba(255,151,0,1) 0%, rgba(251,75,2,1) 100%);
  line-height: 42px;
  padding: 0;
  border: none;
}
.btn-7 span {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
}
.btn-7:before,
.btn-7:after {
  position: absolute;
  content: "";
  right: 0;
  bottom: 0;
  background: rgba(251,75,2,1);
  transition: all 0.3s ease;
}
.btn-7:before{
   height: 0%;
   width: 2px;
}
.btn-7:after {
  width: 0%;
  height: 2px;
}
.btn-7:hover{
  color: rgba(251,75,2,1);
  background: transparent;
}
.btn-7:hover:before {
  height: 100%;
}
.btn-7:hover:after {
  width: 100%;
}
.btn-7 span:before,
.btn-7 span:after {
  position: absolute;
  content: "";
  left: 0;
  top: 0;
  background: rgba(251,75,2,1);
  box-shadow:
   -7px -7px 20px 0px rgba(255,255,255,.9),
   -4px -4px 5px 0px rgba(255,255,255,.9),
   7px 7px 20px 0px rgba(0,0,0,.2),
   4px 4px 5px 0px rgba(0,0,0,.3);
  transition: all 0.3s ease;
}
.btn-7 span:before {
  width: 2px;
  height: 0%;
}
.btn-7 span:after {
  height: 2px;
  width: 0%;
}
.btn-7 span:hover:before {
  height: 100%;
}
.btn-7 span:hover:after {
  width: 100%;
}

/* 8 */
.btn-8 {
  background-color: #f0ecfc;
background-image: linear-gradient(315deg, #f0ecfc 0%, #c797eb 74%);
  line-height: 42px;
  padding: 0;
  border: none;
}
.btn-8 span {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
}
.btn-8:before,
.btn-8:after {
  position: absolute;
  content: "";
  right: 0;
  bottom: 0;
  background: #c797eb;
  /*box-shadow:  4px 4px 6px 0 rgba(255,255,255,.5),
              -4px -4px 6px 0 rgba(116, 125, 136, .2), 
    inset -4px -4px 6px 0 rgba(255,255,255,.5),
    inset 4px 4px 6px 0 rgba(116, 125, 136, .3);*/
  transition: all 0.3s ease;
}
.btn-8:before{
   height: 0%;
   width: 2px;
}
.btn-8:after {
  width: 0%;
  height: 2px;
}
.btn-8:hover:before {
  height: 100%;
}
.btn-8:hover:after {
  width: 100%;
}
.btn-8:hover{
  background: transparent;
}
.btn-8 span:hover{
  color: #c797eb;
}
.btn-8 span:before,
.btn-8 span:after {
  position: absolute;
  content: "";
  left: 0;
  top: 0;
  background: #c797eb;
  /*box-shadow:  4px 4px 6px 0 rgba(255,255,255,.5),
              -4px -4px 6px 0 rgba(116, 125, 136, .2), 
    inset -4px -4px 6px 0 rgba(255,255,255,.5),
    inset 4px 4px 6px 0 rgba(116, 125, 136, .3);*/
  transition: all 0.3s ease;
}
.btn-8 span:before {
  width: 2px;
  height: 0%;
}
.btn-8 span:after {
  height: 2px;
  width: 0%;
}
.btn-8 span:hover:before {
  height: 100%;
}
.btn-8 span:hover:after {
  width: 100%;
}
  

/* 9 */
.btn-9 {
  border: none;
  transition: all 0.3s ease;
  overflow: hidden;
}
.btn-9:after {
  position: absolute;
  content: " ";
  z-index: -1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
   background-color: #1fd1f9;
background-image: linear-gradient(315deg, #1fd1f9 0%, #b621fe 74%);
  transition: all 0.3s ease;
}
.btn-9:hover {
  background: transparent;
  box-shadow:  4px 4px 6px 0 rgba(255,255,255,.5),
              -4px -4px 6px 0 rgba(116, 125, 136, .2), 
    inset -4px -4px 6px 0 rgba(255,255,255,.5),
    inset 4px 4px 6px 0 rgba(116, 125, 136, .3);
  color: #fff;
}
.btn-9:hover:after {
  -webkit-transform: scale(2) rotate(180deg);
  transform: scale(2) rotate(180deg);
  box-shadow:  4px 4px 6px 0 rgba(255,255,255,.5),
              -4px -4px 6px 0 rgba(116, 125, 136, .2), 
    inset -4px -4px 6px 0 rgba(255,255,255,.5),
    inset 4px 4px 6px 0 rgba(116, 125, 136, .3);
}

/* 10 */
.btn-10 {
  background: rgb(22,9,240);
background: linear-gradient(0deg, rgba(22,9,240,1) 0%, rgba(49,110,244,1) 100%);
  color: #fff;
  border: none;
  transition: all 0.3s ease;
  overflow: hidden;
}
.btn-10:after {
  position: absolute;
  content: " ";
  top: 0;
  left: 0;
  z-index: -1;
  width: 100%;
  height: 100%;
  transition: all 0.3s ease;
  -webkit-transform: scale(.1);
  transform: scale(.1);
}
.btn-10:hover {
  color: #fff;
  border: none;
  background: transparent;
}
.btn-10:hover:after {
  background: rgb(0,3,255);
background: linear-gradient(0deg, rgba(2,126,251,1) 0%,  rgba(0,3,255,1)100%);
  -webkit-transform: scale(1);
  transform: scale(1);
}

/* 11 */
.btn-11 {
  border: none;
  background: rgb(251,33,117);
    background: linear-gradient(0deg, rgba(251,33,117,1) 0%, rgba(234,76,137,1) 100%);
    color: #fff;
    overflow: hidden;
}
.btn-11:hover {
    text-decoration: none;
    color: #fff;
}
.btn-11:before {
    position: absolute;
    content: '';
    display: inline-block;
    top: -180px;
    left: 0;
    width: 30px;
    height: 100%;
    background-color: #fff;
    animation: shiny-btn1 3s ease-in-out infinite;
}
.btn-11:hover{
  opacity: .7;
}
.btn-11:active{
  box-shadow:  4px 4px 6px 0 rgba(255,255,255,.3),
              -4px -4px 6px 0 rgba(116, 125, 136, .2), 
    inset -4px -4px 6px 0 rgba(255,255,255,.2),
    inset 4px 4px 6px 0 rgba(0, 0, 0, .2);
}


@-webkit-keyframes shiny-btn1 {
    0% { -webkit-transform: scale(0) rotate(45deg); opacity: 0; }
    80% { -webkit-transform: scale(0) rotate(45deg); opacity: 0.5; }
    81% { -webkit-transform: scale(4) rotate(45deg); opacity: 1; }
    100% { -webkit-transform: scale(50) rotate(45deg); opacity: 0; }
}


/* 12 */
.btn-12{
  position: relative;
  right: 20px;
  bottom: 20px;
  border:none;
  box-shadow: none;
  width: 130px;
  height: 40px;
  line-height: 42px;
  -webkit-perspective: 230px;
  perspective: 230px;
}
.btn-12 span {
  background: rgb(0,172,238);
background: linear-gradient(0deg, rgba(0,172,238,1) 0%, rgba(2,126,251,1) 100%);
  display: block;
  position: absolute;
  width: 130px;
  height: 40px;
  box-shadow:inset 2px 2px 2px 0px rgba(255,255,255,.5),
   7px 7px 20px 0px rgba(0,0,0,.1),
   4px 4px 5px 0px rgba(0,0,0,.1);
  border-radius: 5px;
  margin:0;
  text-align: center;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-transition: all .3s;
  transition: all .3s;
}
.btn-12 span:nth-child(1) {
  box-shadow:
   -7px -7px 20px 0px #fff9,
   -4px -4px 5px 0px #fff9,
   7px 7px 20px 0px #0002,
   4px 4px 5px 0px #0001;
  -webkit-transform: rotateX(90deg);
  -moz-transform: rotateX(90deg);
  transform: rotateX(90deg);
  -webkit-transform-origin: 50% 50% -20px;
  -moz-transform-origin: 50% 50% -20px;
  transform-origin: 50% 50% -20px;
}
.btn-12 span:nth-child(2) {
  -webkit-transform: rotateX(0deg);
  -moz-transform: rotateX(0deg);
  transform: rotateX(0deg);
  -webkit-transform-origin: 50% 50% -20px;
  -moz-transform-origin: 50% 50% -20px;
  transform-origin: 50% 50% -20px;
}
.btn-12:hover span:nth-child(1) {
  box-shadow:inset 2px 2px 2px 0px rgba(255,255,255,.5),
   7px 7px 20px 0px rgba(0,0,0,.1),
   4px 4px 5px 0px rgba(0,0,0,.1);
  -webkit-transform: rotateX(0deg);
  -moz-transform: rotateX(0deg);
  transform: rotateX(0deg);
}
.btn-12:hover span:nth-child(2) {
  box-shadow:inset 2px 2px 2px 0px rgba(255,255,255,.5),
   7px 7px 20px 0px rgba(0,0,0,.1),
   4px 4px 5px 0px rgba(0,0,0,.1);
 color: transparent;
  -webkit-transform: rotateX(-90deg);
  -moz-transform: rotateX(-90deg);
  transform: rotateX(-90deg);
}


/* 13 */
.btn-13 {
  background-color: #89d8d3;
background-image: linear-gradient(315deg, #89d8d3 0%, #03c8a8 74%);
  border: none;
  z-index: 1;
}
.btn-13:after {
  position: absolute;
  content: "";
  width: 100%;
  height: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
  border-radius: 5px;
   background-color: #4dccc6;
background-image: linear-gradient(315deg, #4dccc6 0%, #96e4df 74%);
  box-shadow:
   -7px -7px 20px 0px #fff9,
   -4px -4px 5px 0px #fff9,
   7px 7px 20px 0px #0002,
   4px 4px 5px 0px #0001;
  transition: all 0.3s ease;
}
.btn-13:hover {
  color: #fff;
}
.btn-13:hover:after {
  top: 0;
  height: 100%;
}
.btn-13:active {
  top: 2px;
}


/* 14 */
.btn-14 {
  background: rgb(255,151,0);
  border: none;
  z-index: 1;
}
.btn-14:after {
  position: absolute;
  content: "";
  width: 100%;
  height: 0;
  top: 0;
  left: 0;
  z-index: -1;
  border-radius: 5px;
  background-color: #eaf818;
  background-image: linear-gradient(315deg, #eaf818 0%, #f6fc9c 74%);
   box-shadow:inset 2px 2px 2px 0px rgba(255,255,255,.5);
   7px 7px 20px 0px rgba(0,0,0,.1),
   4px 4px 5px 0px rgba(0,0,0,.1);
  transition: all 0.3s ease;
}
.btn-14:hover {
  color: #000;
}
.btn-14:hover:after {
  top: auto;
  bottom: 0;
  height: 100%;
}
.btn-14:active {
  top: 2px;
}

/* 15 */
.btn-15 {
  background: #b621fe;
  border: none;
  z-index: 1;
}
.btn-15:after {
  position: absolute;
  content: "";
  width: 0;
  height: 100%;
  top: 0;
  right: 0;
  z-index: -1;
  background-color: #663dff;
  border-radius: 5px;
   box-shadow:inset 2px 2px 2px 0px rgba(255,255,255,.5),
   7px 7px 20px 0px rgba(0,0,0,.1),
   4px 4px 5px 0px rgba(0,0,0,.1);
  transition: all 0.3s ease;
}
.btn-15:hover {
  color: #fff;
}
.btn-15:hover:after {
  left: 0;
  width: 100%;
}
.btn-15:active {
  top: 2px;
}


/* 16 */
.btn-16 {
  border: none;
  color: #000;
}
.btn-16:after {
  position: absolute;
  content: "";
  width: 0;
  height: 100%;
  top: 0;
  left: 0;
  direction: rtl;
  z-index: -1;
  box-shadow:
   -7px -7px 20px 0px #fff9,
   -4px -4px 5px 0px #fff9,
   7px 7px 20px 0px #0002,
   4px 4px 5px 0px #0001;
  transition: all 0.3s ease;
}
.btn-16:hover {
  color: #000;
}
.btn-16:hover:after {
  left: auto;
  right: 0;
  width: 100%;
}
.btn-16:active {
  top: 2px;
}